CREATE OR replace TABLE  CDM_Stg_Del_Rep  (
   Rec_Id  bigint(20) NOT NULL AUTO_INCREMENT,
   Rec_Is_Processed  tinyint(4) NOT NULL DEFAULT -1,
   Customer_Key  varchar(128) NOT NULL,
   Customer_Id  bigint(20) DEFAULT NULL,
   Communication_Channel  varchar(50) DEFAULT NULL,
   Sent_Date  int(11) DEFAULT NULL,
   Sent_Time  time DEFAULT NULL,
   Delivery_Date  date DEFAULT NULL,
   Delivery_Time  time DEFAULT NULL,
   Delivery_Status  varchar(128) NOT NULL DEFAULT '',
   Delivery_Status_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Open_Date  date DEFAULT NULL,
   Open_Time  time DEFAULT NULL,
   Open_Status  varchar(128) NOT NULL DEFAULT '',
   Open_Status_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   CTA_Date  date DEFAULT NULL,
   CTA_Status  char(1) DEFAULT NULL,
   Event_Execution_ID  char(50) NOT NULL,
   Event_ID  bigint(20) NOT NULL,
   Created_Date  timestamp NOT NULL DEFAULT current_timestamp(),
   Modified_Date  timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY ( Rec_Id ),
  KEY  Event_Execution_ID  ( Event_Execution_ID ),
  KEY  Rec_Is_Processed  ( Rec_Is_Processed ),
  KEY  Modified_Date  ( Modified_Date ),
  KEY  Customer_Key  ( Customer_Key ),
  KEY  Customer_Id  ( Customer_Id ),
KEY  Communication_Channel  (Communication_Channel),
  KEY  Sent_Date  ( Sent_Date )
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1
 PARTITION BY RANGE ( Rec_Id )
(PARTITION  p1  VALUES LESS THAN (1000000) ENGINE = InnoDB,
 PARTITION  p2  VALUES LESS THAN (2000000) ENGINE = InnoDB,
 PARTITION  p3  VALUES LESS THAN (3000000) ENGINE = InnoDB,
 PARTITION  p4  VALUES LESS THAN (4000000) ENGINE = InnoDB,
 PARTITION  p5  VALUES LESS THAN (5000000) ENGINE = InnoDB,
 PARTITION  p6  VALUES LESS THAN (6000000) ENGINE = InnoDB,
 PARTITION  p7  VALUES LESS THAN (7000000) ENGINE = InnoDB,
 PARTITION  p8  VALUES LESS THAN (8000000) ENGINE = InnoDB,
 PARTITION  p9  VALUES LESS THAN (9000000) ENGINE = InnoDB,
 PARTITION  p10  VALUES LESS THAN (10000000) ENGINE = InnoDB,
 PARTITION  p11  VALUES LESS THAN (11000000) ENGINE = InnoDB,
 PARTITION  p12  VALUES LESS THAN (12000000) ENGINE = InnoDB,
 PARTITION  p13  VALUES LESS THAN (13000000) ENGINE = InnoDB,
 PARTITION  p14  VALUES LESS THAN (14000000) ENGINE = InnoDB,
 PARTITION  p15  VALUES LESS THAN (15000000) ENGINE = InnoDB,
 PARTITION  p16  VALUES LESS THAN (16000000) ENGINE = InnoDB,
 PARTITION  p17  VALUES LESS THAN (17000000) ENGINE = InnoDB,
 PARTITION  p18  VALUES LESS THAN (18000000) ENGINE = InnoDB,
 PARTITION  p19  VALUES LESS THAN (19000000) ENGINE = InnoDB,
 PARTITION  p20  VALUES LESS THAN (20000000) ENGINE = InnoDB,
 PARTITION  p21  VALUES LESS THAN (21000000) ENGINE = InnoDB,
 PARTITION  p22  VALUES LESS THAN (22000000) ENGINE = InnoDB,
 PARTITION  p23  VALUES LESS THAN (23000000) ENGINE = InnoDB,
 PARTITION  p24  VALUES LESS THAN (24000000) ENGINE = InnoDB,
 PARTITION  p25  VALUES LESS THAN (25000000) ENGINE = InnoDB,
 PARTITION  p26  VALUES LESS THAN (26000000) ENGINE = InnoDB,
 PARTITION  p27  VALUES LESS THAN (27000000) ENGINE = InnoDB,
 PARTITION  p28  VALUES LESS THAN (28000000) ENGINE = InnoDB,
 PARTITION  p29  VALUES LESS THAN (29000000) ENGINE = InnoDB,
 PARTITION  p30  VALUES LESS THAN (30000000) ENGINE = InnoDB,
 PARTITION  p31  VALUES LESS THAN (31000000) ENGINE = InnoDB,
 PARTITION  p32  VALUES LESS THAN (32000000) ENGINE = InnoDB,
 PARTITION  p33  VALUES LESS THAN (33000000) ENGINE = InnoDB,
 PARTITION  p34  VALUES LESS THAN (34000000) ENGINE = InnoDB,
 PARTITION  p35  VALUES LESS THAN (35000000) ENGINE = InnoDB,
 PARTITION  p36  VALUES LESS THAN (36000000) ENGINE = InnoDB,
 PARTITION  p37  VALUES LESS THAN (37000000) ENGINE = InnoDB,
 PARTITION  p38  VALUES LESS THAN (38000000) ENGINE = InnoDB,
 PARTITION  p39  VALUES LESS THAN (39000000) ENGINE = InnoDB,
 PARTITION  p40  VALUES LESS THAN (40000000) ENGINE = InnoDB,
 PARTITION  p100  VALUES LESS THAN MAXVALUE ENGINE = InnoDB);

